Contract
Get contract by id
GET /contract/{contractId}
GET /contract/{contractId}
Path parameters
contractIdstringpathrequiredThe id of the contract to retrieve
Query parameters
includeRawDatabooleanqueryIf set to true, then the raw response from the ERP system will be included
refreshbooleanqueryIf set to true, then enneo will fetch the data from the underlying ERP system first
Responses
200 — Successful operation
Response Example
{
"id": 746839,
"orderId": 123,
"tenant": null,
"customerId": "123",
"signupDate": 1661126400,
"status": "active",
"statusCode": 5000,
"statusCodeTitle": "active",
"energy": "electricity",
"energyTypeId": 1,
"energySubTypeId": 1,
"email": "johndoe@example.com",
"firstname": "John",
"lastname": "Doe",
"deliveryAddress": "Hugo-Junkers-Str. 5, 82031 Grünwald",
"iban": "DE89370400440532013000",
"monthlyDeposit": 53,
"startDate": 1661990400,
"endDate": null,
"consumption": 3477,
"counterNumber": "1ESY1160669167",
"productId": 1,
"productName": "Flex 24",
"productCode": "flx_24",
"campaignId": 1
}403 — Unauthorized
404 — Contract not found
500 — Internal error